Class CurvatureBuilder
Inheritance
System.Object
System.MarshalByRefObject
CurvatureBuilder
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen.Facet
Assembly: NXOpen.dll
Syntax
public class CurvatureBuilder : Builder, IMessageSink, IComponentBuilder
Constructors
CurvatureBuilder()
Declaration
protected CurvatureBuilder()
Properties
Bodies
Declaration
public SelectDisplayableObjectList Bodies { get; }
Property Value
Type | Description |
---|---|
SelectDisplayableObjectList |
ConcaveRadius
Declaration
public double ConcaveRadius { get; set; }
Property Value
Type | Description |
---|---|
System.Double |
ConvexRadius
Declaration
public double ConvexRadius { get; set; }
Property Value
Type | Description |
---|---|
System.Double |
FacetBodies
Declaration
[Obsolete("Deprecated in NX11.0.0. Use NXOpen.Facet.CurvatureBuilder.Bodies instead.")]
public SelectFacetedBodyList FacetBodies { get; }
Property Value
Type | Description |
---|---|
SelectFacetedBodyList |
IsDirectionReversed
Declaration
public bool IsDirectionReversed { get; set; }
Property Value
Type | Description |
---|---|
System.Boolean |
SmoothingFactor
Declaration
public double SmoothingFactor { get; set; }
Property Value
Type | Description |
---|---|
System.Double |
Methods
DeleteCurvature()
Declaration
public void DeleteCurvature()
Implements
System.Runtime.Remoting.Messaging.IMessageSink